## nx-libs 3.5.99.13

=== debian/changelog ===
nx-libs (2:3.5.99.13-4) unstable; urgency=medium

  * Re-upload as-is to Debian unstable. The previous upload has been removed by
    FTP master due to flaw in removal bug #890564. This upload obsoletes having
    nx-libs-lite in Debian.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 17 Feb 2018 23:09:46 +0100

nx-libs (2:3.5.99.13-3) unstable; urgency=medium

  * Re-upload as-is to Debian unstable.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 16 Feb 2018 00:01:23 +0100

nx-libs (2:3.5.99.13-2) experimental; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #875867)
    + Fix build/host confusion in debian/rules.
    + Pass --host to ./configure.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 28 Jan 2018 14:55:33 +0100

nx-libs (2:3.5.99.13-1) experimental; urgency=medium

  * New upstream release.
  * debian/rules:
    + Evoke dpkg-shlibs with --ignore-missing-info in order to handle the
      libNX_X11 -> libX11 injection trick gracefully.
  * debian/control:
    + Bump Standards-Version: to 4.1.3. No changes needed.
    + Move over with Maintainer: field to new debian-remote ML on
      lists.debian.org.
  * debian/{control,compat}: Bump DH version level to 11.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 20 Jan 2018 13:52:15 +0100

nx-libs (2:3.5.99.12-1) experimental; urgency=medium

  * New upstream release.
  * debian/control:
    + Set Priority: to optional (extra has been deprecated).
    + Bump Standards-Version: to 4.1.2.
    + Set Section: to libs for libnx-x11-6 bin:pkg.
    + Set Section: to libs for libxcomp3 and libxcompshad3 bin:pkgs.
  * debian/rules:
    + Fix override_dh_clean for source:pkg builds with missing upstream
      files in source folder.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.
  * debian/nxproxy.install:
    + The nxproxy binary is now installed into BINDIR directly. No wrapper
      script needed anymore.
  * debian/watch:
    + Use secure URL to obtain upstream sources.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 15 Dec 2017 12:58:53 +0100

nx-libs (2:3.5.99.10-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_fix-FTBFS-on-kFreeBSD.patch. Shipped upstream.
    + Drop 1001_shrink-mesa-patch-5001.patch. Applied upstream.
  * debian/control:
    + Bump Standards-Version: to 4.1.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 15 Sep 2017 15:11:33 +0200

nx-libs (2:3.5.99.9-2) experimental; urgency=medium

  * debian/patches:
    + Add 0001_fix-FTBFS-on-kFreeBSD.patch from upstream. Fix FTBFS on
      Debian/kFreeBSD.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 06 Sep 2017 10:48:59 +0200

nx-libs (2:3.5.99.9-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1001_dont-use-mesa-patch-4001.patch. Resolved upstream.
    + Add 1001_shrink-mesa-patch-5001.patch. Shrink over-zealous Mesa patch.
  * debian/rules:
    + Static libraries require stripping since build system has been switched
      to libtool.
    + Use --disable-silent-rules and --libexecdir during configure run.
    + Drop override_dh_clean. Not needed anymore.
    + Remove some build-cruft in re-introduced override_dh_clean.
  * debian/control:
    + Bump Standards-Version: to 4.0.1. No changes needed.
    + Drop unused libxmltok1-dev from B-D. (Closes: #871824).
    + Add B-Ds automake and libtool. nxcomp* and libNX_X11 are now built using
      autoreconf.
    + Add D (libnx-x11-6): libx11-data.
  * debian/libnx-x11-6.symbols:
    + Update libNX_X11 symbols file.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/nx-x11-common.install:
    + Update paths of XErrorDB and Xcms.txt.
  * debian/libnx-x11-dev.install:
    + Add static libNX_X11 lib and new pkg-config file.
  * debian/libxcomp*.install:
    + Add static libraries to libxcomp*-dev bin:pkgs.

  * Process with wrap-and-sort -s.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 30 Aug 2017 22:19:30 +0200

nx-libs (2:3.5.99.8-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_fix-ftbfs-on-hppa.patch, 0007_fix-ftbfs-on-mips64el.patch.
      Support for mips64el and hppa has been added by upstream.
  * debian/{control,compat}:
    + Bump to DH version level 10.
  * debian/rules:
    + Switch from dh_install --fail-missing to dh_missing --fail-missing.
  * debian/copyright:
    + Update copyright attributions.
  * debian/patches:
    + Rebase 2001_nx-X11_install-location.debian.patch.
    + Don't use Mesa.patches patch
      4001_Fix-non-working-GLX-in-64bit-Xorg-7.0.patch. It patches a file,
      we don't find in the released tarball.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 30 Jun 2017 21:34:27 +0200

nx-libs (2:3.5.99.7-3) experimental; urgency=medium

  * debian/patches:
    + Fix nasty typo in 0007_fix-ftbfs-on-mips64el.patch.
      (Mipsel64Architecture -> Mips64elArchitecture).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 07 May 2017 14:43:18 +0200

nx-libs (2:3.5.99.7-2) experimental; urgency=medium

  * debian/patches:
    + Fix 0001_fix-ftbfs-on-hppa.patch. Debian hppa is big Endian, not
      little. Thanks to Helge Deller for reviewing this patch.
    + Re-activate 0007_fix-ftbfs-on-mips64el.patch. Hopefully fix FTBFS on
      Debian's mips64el architecture. Thanks to Paul Wise for pointing us
      at this solution.
    + Update/rebase 2001_nx-X11_install-location.debian.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 06 May 2017 22:09:20 +0200

nx-libs (2:3.5.99.7-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0003_define-EBADFD-if-undefined.patch, correct fix for this
      has been applied upstream.
    + Drop 0004_nx-X11-gnu-hurd-support.patch, now applied upstream.
    + Add 0001_fix-ftbfs-on-hppa.patch. Fix FTBFS on Debian's hppa platform. Thanks


=== debian/control ===
Source: nx-libs
Section: x11
Priority: optional
Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Mihai Moldovan <ionic@ionic.de>,
 Debian Remote Maintainers <pkg-remote-team@lists.alioth.debian.org>
Build-Depends:
 autoconf,
 automake,
 debhelper (>= 11~),
 dpkg-dev (>= 1.16.1.1),
 expat,
 libjpeg-dev,
 libpixman-1-dev (>= 0.13.2),
 libpng-dev,
 libtool,
 libxcomposite-dev,
 libxdamage-dev,
 libxdmcp-dev,
 libxext-dev,
 libxfixes-dev,
 libxfont-dev (>= 1.4.2),
 libxinerama-dev,
 libxml2-dev,
 libxpm-dev,
 libxrandr-dev,
 libxrender-dev,
 libxtst-dev,
 pkg-config,
 quilt (>= 0.46-7~),
 x11proto-core-dev,
 xutils-dev,
 zlib1g-dev
Standards-Version: 4.1.3
Homepage: https://github.com/ArcticaProject/nx-libs/
Vcs-Git: https://anonscm.debian.org/git/pkg-remote/nx-libs.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-remote/nx-libs.git

Package: nx-x11-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks:
 libnx-x11 (<< 2:3.5.0.29-1~),
 nxagent (<< 2:3.5.0.29-1~),
 nxlibs (<= 3.5.1)
Description: nx-X11 (common files)
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides all runtime architecture-independent files for
 nx-X11 Xserver (aka nxagent).

Package: nx-x11proto-core-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Breaks: libnx-x11-dev (<< 2:3.5.0.29-1~), nxlibs (<= 3.5.1)
Description: nx-X11 core wire protocol and auxiliary headers
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for the core nx-X11 protocol, and also provides a number of utility headers,
 used to abstract OS-specific functions.

Package: libnx-x11-6
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 libx11-data,
 libxcomp3 (= ${binary:Version}),
 nx-x11-common (<< ${source:Version}.1),
 nx-x11-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 libnx-x11 (<< 2:3.5.0.29-1~),
 libnx-xau6 (<< 2:3.6.0.0),
 libnx-xcomposite1 (<< 2:3.6.0.0),
 libnx-xdamage1 (<< 2:3.6.0.0),
 libnx-xdmcp6 (<< 2:3.6.0.0),
 libnx-xext6 (<< 2:3.6.0.0),
 libnx-xfixes3 (<< 2:3.6.0.0),
 libnx-xinerama1 (<< 2:3.6.0.0),
 libnx-xpm4 (<< 2:3.6.0.0),
 libnx-xrandr2 (<< 2:3.6.0.0),
 libnx-xrender1 (<< 2:3.6.0.0),
 libnx-xtst6 (<< 2:3.6.0.0),
 nxlibs (<= 3.5.1)
Replaces:
 libnx-xau6,
 libnx-xcomposite1,
 libnx-xdamage1,
 libnx-xdmcp6,
 libnx-xext6,
 libnx-xfixes3,
 libnx-xinerama1,
 libnx-xpm4,
 libnx-xrandr2,
 libnx-xrender1,
 libnx-xtst6,
 nxlibs
Description: nxagent's libNX_X11 client-part library
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides the libNX_X11 library (a libX11 drop-in
 replacement used by nxagent).

Package: libnx-x11-dev
Provides: libnx-x11-6-dev
Section: libdevel
Architecture: any
Breaks:
 libnx-xau-dev (<< 2:3.6.0.0),
 libnx-xcomposite-dev (<< 2:3.6.0.0),
 libnx-xdamage-dev (<< 2:3.6.0.0),
 libnx-xdmcp-dev (<< 2:3.6.0.0),
 libnx-xext-dev (<< 2:3.6.0.0),
 libnx-xfixes-dev (<< 2:3.6.0.0),
 libnx-xinerama-dev (<< 2:3.6.0.0),
 libnx-xpm-dev (<< 2:3.6.0.0),
 libnx-xrandr-dev (<< 2:3.6.0.0),
 libnx-xrender-dev (<< 2:3.6.0.0),
 libnx-xtst-dev (<< 2:3.6.0.0),
 nxlibs-dev (<=3.5.1)
Replaces:
 libnx-xau-dev,
 libnx-xcomposite-dev,
 libnx-xdamage-dev,
 libnx-xdmcp-dev,
 libnx-xext-dev,
 libnx-xfixes-dev,
 libnx-xinerama-dev,
 libnx-xpm-dev,
 libnx-xrandr-dev,
 libnx-xrender-dev,
 libnx-xtst-dev,
 nxlibs-dev
Depends: libnx-x11-6 (= ${binary:Version}), ${misc:Depends}
Description: nxagent's libNX_X11 client-part library (development headers)
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers of the libNX_X11 library (a
 libX11 drop-in replacement used by nxagent).

Package: nx-x11proto-xext-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Breaks:
 libnx-x11-dev (<< 2:3.5.0.29-1~),
 libnx-xext-dev (<< 2:3.5.99.0~),
 nxlibs (<= 3.5.1)
Description: nx-X11 miscellaneous extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for various extensions, the client-side libraries of which are provided
 in the Xext library.

Package: nx-x11proto-composite-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Breaks: libnx-x11-dev (<< 2:3.5.0.29-1~), nxlibs (<= 3.5.1)
Description: nx-X11 Composite extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for the Composite extension in nx-X11, used to let arbitrary client
 programs control drawing of the final image.

Package: nx-x11proto-damage-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: nx-X11 Damage extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for the Damage extension, used to notify clients of changes made to
 particular areas.

Package: nx-x11proto-xfixes-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Breaks: libnx-x11-dev (<< 2:3.5.0.29-1~), nxlibs (<= 3.5.1)
Description: nx-X11 'xfixes' extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for the XFIXES extension.

Package: nx-x11proto-xinerama-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: nx-X11 Xinerama extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for the XINERAMA extension, used to use and manage a multiple-screen
 display.

Package: nx-x11proto-randr-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: nx-X11 RandR extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for the RandR extension, used to change display properties such as
 resolution, rotation, reflection, et al, on the fly.

Package: nx-x11proto-render-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: nx-X11 Render extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol for
 the Render extension, used to implement Porter-Duff operations within X.

Package: nx-x11proto-scrnsaver-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Breaks: libnx-x11-dev (<< 2:3.5.0.29-1~), nxlibs (<= 3.5.1)
Description: nx-X11 Screen Saver extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for the MIT-SCREEN-SAVER extension, used to notify the server of client
 screen saver events.

Package: nxagent
Architecture: any
Multi-Arch: foreign
Depends:
 libnx-x11-6 (= ${binary:Version}),
 libxcomp3 (= ${binary:Version}),
 libxcompshad3 (= ${binary:Version}),
 x11-xkb-utils,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: xfonts-base, xkb-data
Breaks: libxcompext3 (<< 2:3.5.99.3~), nxauth
Replaces: libxcompext3, nxauth
Description: Nested Xserver (aka NX Agent) supporting the NX compression protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 nxagent is a nested Xserver providing NX transport of X sessions. The
 application is based on the well known Xnest "nested" server. nxagent,
 like Xnest, is an X server for its own clients, and at the same time, an
 X client for a system's local X server.
 .
 The main scope of nxagent is to eliminate X round-trips or transform
 them into asynchronous replies. nxagent works together with nxproxy.
 nxproxy itself does not make any effort to minimize round-trips
 by itself, this is demanded of nxagent.
 .
 Being an X server, nxagent is able to resolve all the property/atoms related
 requests locally, ensuring that the most common source of round-trips are
 nearly reduced to zero.

Package: nxproxy
Architecture: any
Multi-Arch: foreign
Depends: libxcomp3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: nxauth, qvd-nxproxy
Replaces: nxauth, qvd-nxproxy
Description: NX proxy
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides the NX proxy (client) binary.

Package: libxcomp3
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: nxcomp (<= 3.5.1), qvd-libxcomp3
Replaces: nxcomp, qvd-libxcomp3
Description: NX compression library
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides the compression library.

Package: libxcomp-dev
Provides: libxcomp3-dev
Section: libdevel
Architecture: any
Depends: libxcomp3 (= ${binary:Version}), ${misc:Depends}
Breaks: nxcomp-dev (<=3.5.1)
Replaces: nxcomp-dev
Description: NX compression library (development headers)
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides the compression library.
 .
 This package contains the development headers for this library.

Package: libxcompshad3
Section: libs
Architecture: any
Multi-Arch: same
Depends: libnx-x11-6 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: nxcompshad (<=3.5.1)
Replaces: nxcompshad
Description: NX shadowing library
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides a library for shadow session support.

Package: libxcompshad-dev
Provides: libxcompshad3-dev
Section: libdevel

## nx-libs 3.5.99.16

=== Makefile ===
#!/usr/bin/make -f

NULL =

# helpers for "install" target
INSTALL_DIR=install -d -m 755
INSTALL_FILE=install -m 644
INSTALL_PROGRAM=install -m 755
INSTALL_SYMLINK=ln -s -f

# helpers for "build" target
SYMLINK_FILE=ln -f -s

# helpers for "clean" and "uninstall" targets
RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

ETCDIR_NX       ?= /etc/nxagent
PREFIX          ?= /usr/local
BINDIR          ?= $(PREFIX)/bin
LIBDIR          ?= $(PREFIX)/lib
SHLIBDIR        ?= $(LIBDIR)
NXLIBDIR        ?= $(SHLIBDIR)/nx
USRLIBDIR       ?= $(NXLIBDIR)/X11
INCLUDEDIR      ?= $(PREFIX)/include
CONFIGURE       ?= ./configure --prefix="$(PREFIX)"

# use Xfont2 if available in the build env
FONT_DEFINES	?= $(shell pkg-config --modversion xfont2 1>/dev/null 2>/dev/null && echo "-DHAS_XFONT2") $(shell pkg-config --exists 'xfont < 1.4.2' 1>/dev/null 2>/dev/null && echo "-DLEGACY_XFONT1")
XFONTLIB	?= $(shell pkg-config --modversion xfont2 1>/dev/null 2>/dev/null && echo "-lXfont2" || echo "-lXfont")

# Support older libXext versions.
XEXT_EXTRA_DEFINES	?= $(shell pkg-config --exists 'xextproto < 7.1.0' 1>/dev/null 2>/dev/null && echo "-DLEGACY_XEXT_PROTO")

IMAKE_DEFINES	?=

NX_VERSION_MAJOR=$(shell ./version.sh 1)
NX_VERSION_MINOR=$(shell ./version.sh 2)
NX_VERSION_MICRO=$(shell ./version.sh 3)
NX_VERSION_PATCH=$(shell ./version.sh 4)

SHELL:=/bin/bash

NX_X11_HEADERS =		\
	Xlib.h			\
	Xresource.h		\
	Xutil.h			\
	cursorfont.h		\
	Xlibint.h		\
	Xcms.h			\
	Xlocale.h		\
	XKBlib.h		\
	XlibConf.h		\
	Xregion.h		\
	ImUtil.h		\
	$(NULL)

NX_XTRANS_HEADERS =		\
	transport.c		\
	Xtrans.c		\
	Xtrans.h		\
	Xtransint.h		\
	Xtranslcl.c		\
	Xtranssock.c		\
	Xtransutil.c		\
	$(NULL)

%:
	if test -f nxcomp/Makefile; then ${MAKE} -C nxcomp "$@"; fi
	if test -f nxproxy/Makefile; then ${MAKE} -C nxproxy "$@"; fi
	if test -d nx-X11; then \
	    if test -f nx-X11/lib/Makefile; then ${MAKE} -C nx-X11/lib "$@"; fi; \
	    if test -f nxcompshad/Makefile; then ${MAKE} -C nxcompshad "$@"; fi; \
	    if test -f nx-X11/Makefile; then ${MAKE} -C nx-X11 "$@"; fi; \
	fi

	# clean auto-generated files
	if [ "x$@" == "xclean" ] || [ "x$@" = "xdistclean" ]; then \
	    if [ -x ./mesa-quilt ]; then ./mesa-quilt pop -a; fi; \
	    rm -Rf nx-X11/extras/Mesa/.pc/; \
	    rm -f nx-X11/config/cf/nxversion.def; \
	    rm -f nx-X11/config/cf/date.def; \
	    ${MAKE} clean-env; \
	fi

all:
	${MAKE} build

test:
	echo "No testing for NX (redistributed)"

version:
	# prepare nx-X11/config/cf/nxversion.def
	sed \
	    -e 's/###NX_VERSION_MAJOR###/$(NX_VERSION_MAJOR)/' \
	    -e 's/###NX_VERSION_MINOR###/$(NX_VERSION_MINOR)/' \
	    -e 's/###NX_VERSION_MICRO###/$(NX_VERSION_MICRO)/' \
	    -e 's/###NX_VERSION_PATCH###/$(NX_VERSION_PATCH)/' \
	    nx-X11/config/cf/nxversion.def.in \
	    > nx-X11/config/cf/nxversion.def

build-env: version
	# prepare Makefiles and the nx-X11 symlinking magic
	${MAKE} -C nx-X11 BuildIncludes FONT_DEFINES="$(FONT_DEFINES)" XEXT_EXTRA_DEFINES="$(XEXT_EXTRA_DEFINES)" IMAKE_DEFINES="$(IMAKE_DEFINES)"

	# set up environment for libNX_X11 build (X11 header files)
	mkdir -p nx-X11/exports/include/nx-X11/
	for header in $(NX_X11_HEADERS); do \
	    ${SYMLINK_FILE} ../../../lib/include/X11/$${header} nx-X11/exports/include/nx-X11/$${header}; \
	done

	# set up environment for libNX_X11 build (Xtrans header/include files)
	mkdir -p nx-X11/exports/include/nx-X11/Xtrans/
	for header in $(NX_XTRANS_HEADERS); do \
	    ${SYMLINK_FILE} ../../../../lib/include/xtrans/$${header} nx-X11/exports/include/nx-X11/Xtrans/$${header}; \
	done

clean-env: version
	for header in $(NX_X11_HEADERS); do \
	    ${RM_FILE} nx-X11/exports/include/nx-X11/$${header}; \
	done
	for header in $(NX_XTRANS_HEADERS); do \
	    ${RM_FILE} nx-X11/exports/include/nx-X11/Xtrans/$${header}; \
	done

	[ -d exports/include/nx-X11/Xtrans ] && $(RM_DIR) exports/include/nx-X11/Xtrans/ || :
	[ -d exports/include/nx-X11/ ]       && $(RM_DIR) exports/include/nx-X11/        || :

	${MAKE} -C nx-X11 CleanEnv FONT_DEFINES="$(FONT_DEFINES)" XEXT_EXTRA_DEFINES="$(XEXT_EXTRA_DEFINES)" IMAKE_DEFINES="$(IMAKE_DEFINES)"

build-lite:
	cd nxcomp && autoreconf -vfsi && (${CONFIGURE}) && ${MAKE}
	cd nxproxy && autoreconf -vfsi && (${CONFIGURE}) && ${MAKE}

build-full: build-env
# in the full case, we rely on "magic" in the nx-X11 imake-based makefiles...

	# build nxcomp first
	cd nxcomp && autoreconf -vfsi && (${CONFIGURE}) && ${MAKE}

	# build libNX_X11 second
	cd nx-X11/lib && autoreconf -vfsi && (${CONFIGURE} --disable-poll) && ${MAKE}
	mkdir -p nx-X11/exports/lib/
	$(SYMLINK_FILE) ../../lib/src/.libs/libNX_X11.so nx-X11/exports/lib/libNX_X11.so
	$(SYMLINK_FILE) ../../lib/src/.libs/libNX_X11.so.6 nx-X11/exports/lib/libNX_X11.so.6
	$(SYMLINK_FILE) ../../lib/src/.libs/libNX_X11.so.6.3.0 nx-X11/exports/lib/libNX_X11.so.6.3.0

	# build nxcompshad third
	cd nxcompshad && autoreconf -vfsi && (${CONFIGURE}) && ${MAKE}

	# build nxagent fourth
	./mesa-quilt push -a
	${MAKE} -C nx-X11 BuildDependsOnly FONT_DEFINES="$(FONT_DEFINES)" XEXT_EXTRA_DEFINES="$(XEXT_EXTRA_DEFINES)" IMAKE_DEFINES="$(IMAKE_DEFINES)"
	${MAKE} -C nx-X11 World USRLIBDIR="$(USRLIBDIR)" SHLIBDIR="$(SHLIBDIR)" FONT_DEFINES="$(FONT_DEFINES)" XFONTLIB="$(XFONTLIB)" XEXT_EXTRA_DEFINES="$(XEXT_EXTRA_DEFINES)" IMAKE_DEFINES="$(IMAKE_DEFINES)"

	# build nxproxy fifth
	cd nxproxy && autoreconf -vfsi && (${CONFIGURE}) && ${MAKE}

build:
	if ! test -d nx-X11; then \
	    ${MAKE} build-lite; \
	else \
	    ${MAKE} build-full; \
	fi

install:
	$(MAKE) install-lite
	[ ! -d nx-X11 ] || $(MAKE) install-full

install-lite:
	# install nxcomp library
	$(MAKE) -C nxcomp install

	# install the nxproxy executable and its man page
	$(MAKE) -C nxproxy install

install-full:
	$(MAKE) -C nxcompshad install

	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)/
	$(INSTALL_PROGRAM) nx-X11/programs/Xserver/nxagent-relink $(DESTDIR)$(BINDIR)/nxagent

	$(INSTALL_DIR) $(DESTDIR)$(PREFIX)/share/pixmaps
	$(INSTALL_FILE) nx-X11/programs/Xserver/hw/nxagent/nxagent.xpm $(DESTDIR)$(PREFIX)/share/pixmaps

	$(INSTALL_DIR) $(DESTDIR)$(PREFIX)/share/nx
	$(INSTALL_FILE) nx-X11/programs/Xserver/Xext/SecurityPolicy $(DESTDIR)$(PREFIX)/share/nx

	# FIXME: Drop this symlink for 3.6.0. Requires that third party frameworks like X2Go have become aware of this...
	$(INSTALL_DIR) $(DESTDIR)$(NXLIBDIR)/bin
	$(INSTALL_SYMLINK) $(BINDIR)/nxagent $(DESTDIR)$(NXLIBDIR)/bin/nxagent

	$(INSTALL_DIR) $(DESTDIR)$(PREFIX)/share/man/man1/
	$(INSTALL_FILE) nx-X11/programs/Xserver/hw/nxagent/man/nxagent.1 $(DESTDIR)$(PREFIX)/share/man/man1/
	gzip $(DESTDIR)$(PREFIX)/share/man/man1/*.1

	# create a clean nx-X11/.build-exports space
	rm -Rf nx-X11/.build-exports
	mkdir -p nx-X11/.build-exports/include
	mkdir -p nx-X11/.build-exports/lib

	# copy headers (for libnx-x11-dev)
	cp -aL nx-X11/exports/include/* nx-X11/.build-exports/include

	# copy libs (for libnx-x11), we want the targets of the links
	. replace.sh; set -x; find nx-X11/exports/lib/ -name "libNX*.so" | while read libpath; do \
	    libfile=$$(basename $$libpath); \
	    libdir=$$(dirname $$libpath); \
	    link=$$(readlink $$libpath); \
	\
	    mkdir -p "$$(string_rep "$$libdir" exports .build-exports)"; \
	    cp -a "$$(string_rep "$$libpath" "$$libfile" "$$link")" "$$(string_rep "$$libdir" exports .build-exports)"; \
	done;

	$(INSTALL_DIR) $(DESTDIR)$(SHLIBDIR)
	$(INSTALL_DIR) $(DESTDIR)$(USRLIBDIR)
	$(INSTALL_SYMLINK) ../../libNX_X11.so.6 $(DESTDIR)$(USRLIBDIR)/libX11.so.6
	$(INSTALL_SYMLINK) ../../libNX_X11.so.6.3.0 $(DESTDIR)$(USRLIBDIR)/libX11.so.6.3.0

	. replace.sh; set -x; find nx-X11/.build-exports/include/{nx*,GL} -type d | \
	    while read dirname; do \
	        $(INSTALL_DIR) "$$(string_rep "$$dirname" nx-X11/.build-exports/include "$(DESTDIR)$(INCLUDEDIR)/")"; \
	        $(INSTALL_FILE) $${dirname}/*.h \
	                        "$$(string_rep "$$dirname" nx-X11/.build-exports/include "$(DESTDIR)$(INCLUDEDIR)/")"/ || true; \
	    done; \

	$(INSTALL_DIR) $(DESTDIR)/$(ETCDIR_NX)
	$(INSTALL_FILE) etc/keystrokes.cfg $(DESTDIR)/$(ETCDIR_NX)/
	$(INSTALL_FILE) etc/nxagent.keyboard $(DESTDIR)$(ETCDIR_NX)/

	$(INSTALL_DIR) $(DESTDIR)$(PREFIX)/share/nx
	$(INSTALL_FILE) VERSION $(DESTDIR)$(PREFIX)/share/nx/VERSION.nxagent
	$(INSTALL_FILE) VERSION $(DESTDIR)$(PREFIX)/share/nx/VERSION.nxproxy

	$(MAKE) -C nx-X11/lib install

uninstall:
	$(MAKE) uninstall-lite
	[ ! -d nx-X11 ] || $(MAKE) uninstall-full

uninstall-lite:
	if test -f nxcomp/Makefile; then ${MAKE} -C nxcomp "$@"; fi
	if test -f nxproxy/Makefile; then ${MAKE} -C nxproxy "$@"; fi

	$(RM_FILE) $(DESTDIR)$(PREFIX)/share/nx/VERSION.nxproxy
	$(RM_DIR) $(DESTDIR)$(PREFIX)/share/nx/

uninstall-full:
	if test -f nxcompshad/Makefile; then ${MAKE} -C nxcompshad "$@"; fi
	if test -f nx-X11/lib/Makefile; then ${MAKE} -C nx-X11/lib "$@"; fi

	$(RM_FILE) $(DESTDIR)$(BINDIR)/nxagent

	$(RM_FILE) $(DESTDIR)$(PREFIX)/share/nx/VERSION.nxagent
	$(RM_DIR) $(DESTDIR)$(PREFIX)/share/nx/

	if test -d $(DESTDIR)$(NXLIBDIR); then rm -rf $(DESTDIR)$(NXLIBDIR); fi
	if test -d $(DESTDIR)$(INCLUDEDIR)/nx; then rm -rf $(DESTDIR)$(INCLUDEDIR)/nx; fi

=== nx-X11/Makefile ===
# $Xorg: Makefile,v 1.5 2000/08/17 19:41:44 cpqbld Exp $
# $Id: Makefile,v 1.5 2005/12/14 23:41:52 alanc Exp $



# $XFree86: xc/Makefile,v 3.28tsi Exp $

# Luna users will need to either run make as "make MAKE=make"
# or add "MAKE = make" to this file.

RELEASE = "Release $(shell cat ../VERSION)"
SHELL = /bin/sh
RM = rm -f
MV = mv
WORLDOPTS =
WIN32WORLDOPTS = -i
TOP = .
CURRENT_DIR = .
CONFIGSRC = $(TOP)/config
IRULESRC = $(CONFIGSRC)/cf
IMAKE = imake
IMAKE_CMD = $(IMAKE) -I$(IRULESRC) $(IMAKE_DEFINES)
MAKE_OPTS = -f xmakefile
MAKE_CMD = $(MAKE) $(MAKE_OPTS)

all:
	@${MAKE_CMD} xmakefile-exists || $(MAKE) all-initial
	@${MAKE_CMD} $@

all-initial:
	@echo Please use make World, or on NT use nmake World.Win32.
	@echo
	@echo Read the release notes carefully before proceeding.
	@echo Do not name your log file make.log or it will be deleted.

World:
	@echo ""
	@echo Building $(RELEASE).
	@echo ""
	@date
	@echo ""
	if [ ! -f xmakefile ]; then ${MAKE} ${MFLAGS} BuildEnv; fi
	${MAKE_CMD} $(MFLAGS) $(WORLDOPTS) World
	@echo ""
	@date
	@echo ""
	@echo Full build of $(RELEASE) complete.
	@echo ""

CleanEnv:
	@if [ -f xmakefile ]; then \
	    ${MAKE_CMD} -k distclean || \
	    ${MAKE_CMD} -k clean || \
	    $(RM) xmakefile; \
	fi
	@rm -f $(IRULESRC)/date.def; echo "" > $(IRULESRC)/date.def;
	which $(IMAKE) 1>/dev/null && ${MAKE} $(MFLAGS) xmakefile || :
	@if [ -f xmakefile ]; then \
	    ${MAKE_CMD} $(MFLAGS) VerifyOS; \
	    ${MAKE_CMD} $(MFLAGS) Makefiles; \
	    ${MAKE_CMD} $(MFLAGS) BOOTSTRAPSUBDIRS= clean; \
	fi

BuildEnv: CleanEnv BuildIncludes BuildDependsOnly

BuildIncludes: CleanEnv
	${MAKE_CMD} $(MFLAGS) includes

BuildDependsOnly:
	${MAKE_CMD} $(MFLAGS) depend

.PRECIOUS: Makefile

# This is just a sequence of bootstrapping steps we have to do.
# The steps are listed as separate targets so clearmake can wink in
# the Makefile.proto files.

Makefile::
	$(MAKE) $(MFLAGS) xmakefile

xmakefile: Imakefile
	@if [ -f xmakefile ]; then set -x; \
	 $(RM) xmakefile.bak; $(MV) xmakefile xmakefile.bak; \
	 else exit 0; fi
	@rm -f $(IRULESRC)/date.def; echo "" > $(IRULESRC)/date.def;
	$(IMAKE_CMD) -s xmakefile -DTOPDIR=$(TOP) -DCURDIR=$(CURRENT_DIR)

# don't allow any default rules in this Makefile
.SUFFIXES:
# quiet "make" programs that display a message if suffix list empty
.SUFFIXES: .Dummy

# a copy of every rule that might be invoked at top level

clean:
	-${MAKE_CMD} $@
	find config lib programs include -type f -name Makefile | while read makefile; do rm -f $$makefile; done

dangerous_strip_clean:
	    ${MAKE_CMD} $@
distclean:
	    -${MAKE_CMD} $@
	    $(RM) xmakefile
depend:
	    ${MAKE_CMD} $@
Everything:
	    ${MAKE_CMD} $@
external.ln:
	    ${MAKE_CMD} $@
includes:
	    ${MAKE_CMD} $@
install.sdk:
	    ${MAKE_CMD} $@
install.ln:
	    ${MAKE_CMD} $@
install.man:
	    ${MAKE_CMD} $@
install:
	    ${MAKE_CMD} $@
Makefiles:
	    ${MAKE_CMD} $@
man_keywords:
	    ${MAKE_CMD} $@
tags:
	    ${MAKE_CMD} $@
VerifyOS:
	    ${MAKE_CMD} $@

=== debian/changelog ===
nx-libs (2:3.5.99.16-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been moved to salsa.debian.org.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 16 Mar 2018 23:56:40 +0100

nx-libs (2:3.5.99.15-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_default-dpi-96.patch,
           0002_xinerama-bbox-corner-cases.patch.
      Resolved upstream.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 07 Mar 2018 23:51:57 +0100

nx-libs (2:3.5.99.14-3) unstable; urgency=medium

  * debian/patches:
    + Cherry-pick upstream-proposed patch 0002_xinerama-bbox-corner-cases.patch.
      Correct sending RandR events when the agent window is moved into invisible
      parts of the real Xserver.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 Mar 2018 14:11:30 +0100

nx-libs (2:3.5.99.14-2) unstable; urgency=medium

  * debian/patches:
    + Cherry-pick upstream commit 0001_default-dpi-96.patch. Follow X.org with
      setting default DPI to 96 (not 75).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 01 Mar 2018 21:38:16 +0100

nx-libs (2:3.5.99.14-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase 2001_nx-X11_install-location.debian.patch.
  * debian/nx-x11proto-xext-dev.install:
    + Add shapeconst.h.
  * debian/copyright:
    + Update copyright attributions.
    + Update copyright.in reference template.
    + Use secure URI for referencing copyright format.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 28 Feb 2018 16:21:13 +0100

=== debian/control ===
--- 
+++ 
@@ -35,8 +35,8 @@
  zlib1g-dev
 Standards-Version: 4.1.3
 Homepage: https://github.com/ArcticaProject/nx-libs/
-Vcs-Git: https://anonscm.debian.org/git/pkg-remote/nx-libs.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-remote/nx-libs.git
+Vcs-Browser: https://salsa.debian.org/debian-remote-team/nx-libs
+Vcs-Git: https://salsa.debian.org/debian-remote-team/nx-libs.git
 
 Package: nx-x11-common
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

NULL =

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/architecture.mk

export LIBDIR = "/usr/lib/$(DEB_HOST_MULTIARCH)"
export LIBEXECDIR = "$(LIBDIR)/nx/bin"
export INCLUDEDIR = "/usr/include/$(DEB_HOST_MULTIARCH)"

%:
	CONFIGURE="./configure --disable-silent-rules \
	                       --prefix=/usr \
	                       --libdir=$(LIBDIR) \
	                       --includedir=$(INCLUDEDIR) \
	                       --libexecdir=$(LIBEXECDIR) \
	                       --build=$(DEB_BUILD_GNU_TYPE) \
	                       --host=$(DEB_HOST_GNU_TYPE)"  dh $@ --with quilt

override_dh_auto_clean:
	rm -Rf nx-X11/.build-exports
	dh_auto_clean

override_dh_clean:
	-rm nx-X11/config/Makefile
	-rm nx-X11/config/cf/Makefile
	-rm nx-X11/config/cf/date.def
	-rm nx-X11/config/cf/nxversion.def
	-rm nx-X11/include/GL/Makefile
	-rm nx-X11/include/Makefile
	-rm nx-X11/include/extensions/Makefile
	-rm nx-X11/programs/Makefile
	-rm nx-X11/programs/Xserver/GL/Makefile
	-rm nx-X11/programs/Xserver/GL/glx/Makefile
	-rm nx-X11/programs/Xserver/GL/mesa/GLcore/Makefile
	-rm nx-X11/programs/Xserver/GL/mesa/Makefile
	-rm nx-X11/programs/Xserver/GL/mesa/X/Makefile
	-rm nx-X11/programs/Xserver/GL/mesa/array_cache/Makefile
	-rm nx-X11/programs/Xserver/GL/mesa/main/Makefile
	-rm nx-X11/programs/Xserver/GL/mesa/math/Makefile
	-rm nx-X11/programs/Xserver/GL/mesa/shader/Makefile
	-rm nx-X11/programs/Xserver/GL/mesa/shader/grammar/Makefile
	-rm nx-X11/programs/Xserver/GL/mesa/shader/slang/Makefile
	-rm nx-X11/programs/Xserver/GL/mesa/shader/slang/library/Makefile
	-rm nx-X11/programs/Xserver/GL/mesa/swrast/Makefile
	-rm nx-X11/programs/Xserver/GL/mesa/swrast_setup/Makefile
	-rm nx-X11/programs/Xserver/GL/mesa/tnl/Makefile
	-rm nx-X11/programs/Xserver/Makefile
	-rm nx-X11/programs/Xserver/Xext/Makefile
	-rm nx-X11/programs/Xserver/Xi/Makefile
	-rm nx-X11/programs/Xserver/composite/Makefile
	-rm nx-X11/programs/Xserver/damageext/Makefile
	-rm nx-X11/programs/Xserver/dbe/Makefile
	-rm nx-X11/programs/Xserver/dix/Makefile
	-rm nx-X11/programs/Xserver/fb/Makefile
	-rm nx-X11/programs/Xserver/hw/nxagent/Makefile
	-rm nx-X11/programs/Xserver/hw/nxagent/compext/Makefile
	-rm nx-X11/programs/Xserver/include/Makefile
	-rm nx-X11/programs/Xserver/mi/Makefile
	-rm nx-X11/programs/Xserver/miext/cw/Makefile
	-rm nx-X11/programs/Xserver/miext/damage/Makefile
	-rm nx-X11/programs/Xserver/os/Makefile
	-rm nx-X11/programs/Xserver/randr/Makefile
	-rm nx-X11/programs/Xserver/record/Makefile
	-rm nx-X11/programs/Xserver/render/Makefile
	-rm nx-X11/programs/Xserver/xfixes/Makefile
	-rm nx-X11/programs/Xserver/xkb/Makefile
	-rm nx-X11/xmakefile
	dh_clean

override_dh_install:

	# strip static libs and remove .la files
	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libXcomp.la
	strip --strip-debug --remove-section=.comment --remove-section=.note debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libXcomp.a
	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libXcompshad.la
	strip --strip-debug --remove-section=.comment --remove-section=.note debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libXcompshad.a
	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libNX_X11.la
	strip --strip-debug --remove-section=.comment --remove-section=.note debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libNX_X11.a

	# remove extras, GL, and other unneeded headers
	rm -R debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/GL/
	rm -R debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/nx-X11/extensions/XK*.h
	rm -R debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/nx-X11/extensions/*Xv*.h
	rm -R debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/nx-X11/extensions/XRes*.h
	rm -R debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/nx-X11/extensions/XIproto.h
	rm -R debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/nx-X11/extensions/XI.h
	rm -R debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/nx-X11/Xtrans/

	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_install:
	PREFIX=/usr dh_auto_install -Smakefile

override_dh_auto_build:

	PREFIX=/usr dh_auto_build --parallel -- CDEBUGFLAGS="$(CPPFLAGS) $(CFLAGS)" LOCAL_LDFLAGS="$(LDFLAGS)" SHLIBGLOBALSFLAGS='$(filter-out -pie,$(LDFLAGS))'

override_dh_makeshlibs:
	dh_makeshlibs -n

# Needed for the libX11 RUNPATH/RPATH link-time hack.
# dh_shlibdeps will follow dependencies within binaries and choke
# on the libX11 dependency, since the SONAME (libX11.*) used while linking
# does not match the later detected SONAME (libNX_X11.*) obtained through
# the libX11 -> libNX_X11 compat symlink.
override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
